commit:     9393be1df8b1254010beff2a35665070578d7993
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 21:58:44 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 22:10:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9393be1d

dev-python/pycodestyle: Bump to 2.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycodestyle/Manifest                 |  1 +
 dev-python/pycodestyle/pycodestyle-2.7.0.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/dev-python/pycodestyle/Manifest b/dev-python/pycodestyle/Manifest
index 22527dde5db..05f914c8cc4 100644
--- a/dev-python/pycodestyle/Manifest
+++ b/dev-python/pycodestyle/Manifest
@@ -1 +1,2 @@
 DIST pycodestyle-2.6.0.tar.gz 100213 BLAKE2B 
484cad34de86ae50f8efaffe590e79fa52ca7f13a3a9d5c9d52f52aef7a940a9eee8cff74b3bd1f711c3a01155f0ce6794196817d1b0e941b8afc77de4804387
 SHA512 
3bf9904752170135ca399a1b25470a531adb5b85dfd8df7ffbbc86b5875bc3a507cd8732158bc9cb7fd5b44b48c9a32d63d621856d55a15bc3104a99ca4bd271
+DIST pycodestyle-2.7.0.tar.gz 103640 BLAKE2B 
5b1ad351aadff101732748fd4d3a4d34c3eabc058dd9d0c7551afde0dbb169ddce82ccc539e71b72ea2df0dc199b3c2213d259910a18b5acd892782e1314cc19
 SHA512 
26502480e5855f0fd9378664ec813bb38dc2f8ac22e01767fc8bf75e52fa7a7691382fd4f6f1edaeb5f41d150ed71ee87e0d7f525bf06acbf4b3034cec3a227a

diff --git a/dev-python/pycodestyle/pycodestyle-2.7.0.ebuild 
b/dev-python/pycodestyle/pycodestyle-2.7.0.ebuild
new file mode 100644
index 00000000000..e873c0815a4
--- /dev/null
+++ b/dev-python/pycodestyle/pycodestyle-2.7.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker (fka pep8)"
+HOMEPAGE="https://pypi.org/project/pycodestyle/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+distutils_enable_sphinx docs
+
+python_test() {
+       PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --statistics 
pycodestyle.py || die
+       PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --max-doc-length=72 
--testsuite=testsuite || die
+       PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py --doctest -v || die
+}

Reply via email to